Subject: Re: [lojban] Tidying notes on {goi}

From: "Jorge Llambias" <[email-masked]>
Date: Thu, 26 Jul 2001 02:47:14

la pycyn cusku di'e

>Cowan:
><IIRC when you quantify a variable that has already been bound,it is just a
>normal quantifier, so the second {su'o da} means "one or more of (the
>existing) da", not very useful.But ro da poi .... re da would mean "two of
>those which etc.">
>
>Well, those are remarkably UNnormal quantifiers in logic, but right for 
>that
>part of lojban that has the standard sumti as quantifier-gadri-bridi.i.e.,
>quantifier-sumti. The point is also correct.

What has the world come to? I thought pc was going to be horrified
at this new binding of an already bound variable!

Anyway, how do we read this then:

ro da poi prenu zo'u da prami su'o da

Is that {ro da poi prenu zo'u da prami da}, or is it
{ro da poi prenu ku'o ro de poi prenu zo'u da prami de}?

>Proposal (clarification?): {goi} is always defining and always takes the 
>form
> {x goi y}, where y is assigned the value of x.
[...]
>Objection. (I really need help here, since the one objection seems to be 
>that
>we sometimes want to do the defining in the reverse order and so need {goi}
>not {no'u}, which is only factual, not defining. This seems to trivial to
>bother with -- and can {goi} take {se} if it really makes a difference?)

I would say that the objection is that it is not strictly
necessary to fix one order. In the cases where both sumti already
have a referent, goi makes no sense. In the cases where neither
has a referent, goi makes little sense, but none that requires the
connectands to be in a particular order anyway. And if one has
a referent and the other doesn't, it is clear which one gets assigned.
Of course, the order helps when the listener is in doubt as to what
the speaker means, so it works as a measure of redundancy.

In any case, I find goi too cumbersome for actual use, so I don't
have a strong opinion one way or the other.

mu'o mi'e xorxes

_________________________________________________________________
Get your FREE download of MSN Explorer at http://explorer.msn.com/intl.asp